Target version:    

Resolution: Duplicate   

Description

It will be very useful to have an option to have Comment field required

Especially for billing, - it hard for sell time if no description available.

RedmineTimeTracking

Related issues:

Related to Redmine - Feature #23349: Force comment on status change New

Related to Redmine - Feature #19813: Spent time comment mandatory Closed

Is duplicate of Redmine - Feature #24577: Settings to make the issue and/or c... Closed

History

#1 - 2012-10-28 18:00 - Daniel Felix

+1

#2 - 2012-11-01 03:31 - Anonymous

It'd be a nice option, but I'm pretty sure it would break updating issues from the right click context menu. I suppose enabling it could cause the context

menu to load the bulk edit view instead, with the focus preset to the comment field. There may be more complications, though.

#3 - 2016-07-18 09:03 - Go MAEDA

- Related to Feature #23349: Force comment on status change added

#4 - 2016-07-18 09:04 - Go MAEDA

- Related to Feature #19813: Spent time comment mandatory added

#5 - 2016-07-19 09:21 - Anh Le Giang

+ 1. I need the programmers to comment in the notes when they reject an issue.

#6 - 2016-07-19 09:44 - Anonymous

+1

The option to have mandatory comments would be a great improvement!

#7 - 2016-08-10 15:23 - Toshi MARUYAMA

- Description updated

#8 - 2016-12-11 02:15 - Marius BĂLTEANU

I've added a patch in #24577 which implements this.

#9 - 2016-12-11 03:21 - Go MAEDA

- Is duplicate of Feature #24577: Settings to make the issue and/or comment fields mandatory for time logs added

#10 - 2016-12-11 03:22 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate
https://www.redmine.org/projects/redmine/wiki/RedmineTimeTracking
https://www.redmine.org/issues/24577


A patch to implement this feature was submitted as #24577.

Closing this issue.
